/****************************************************************

  Author: Antonio Cisternino

  Version: 1.5.24

  Description: Use these macros to catch parser events.

 ****************************************************************/

#ifndef __PARSERDEFS_H__
#define __PARSERDEFS_H__

#include "smartlow.h"

#define ON_INIT(SIDE, NUM, STATE) perception_type = SMPT_INIT;
#define ON_ERROR(TYPE) perception_type = SMPT_ERROR;
#define ON_SEE(TIME) perception_type = SMPT_SEE;
#define	ON_SEE_PLAYER(TEAMNAME, NUM, DIST, DIR, DISTCHG, DIRCHG, BODYDIR, HEADDIR) ;
#define ON_SEE_GOAL(SIDE, DIST, DIR) ;
#define ON_SEE_LINE(SIDE, DIST, DIR) ;
#define ON_SEE_FLAG(T1, T2, T3, DIST, DIR, DISTCHG, DIRCHG) ;
#define ON_SEE_BALL(DIST, DIR, DISTCHG, DIRCHG) ;

#define ON_HEAR(TIME, DIR, MSG) perception_type = SMPT_HEAR;
#define ON_REFEREE(TIME, STATE, SIDE, NUM) perception_type = SMPT_REFEREE;

#define ON_SENSE_BODY(TIME, QUALITY, VIEWWIDTH, STAMINA, EFFORT, SPEED, HEADDIR, KICKCOUNT, DASHCOUNT, TURNCOUNT, SAYCOUNT, TURNNECKCOUNT) perception_type = SMPT_SENSE_BODY; percept_sense_body.time = TIME; percept_sense_body.quality = QUALITY; percept_sense_body.viewwidth; percept_sense_body.stamina = STAMINA; percept_sense_body.effort = EFFORT; percept_sense_body.speed = SPEED; percept_sense_body.headdir = HEADDIR; percept_sense_body.kickcount = KICKCOUNT; percept_sense_body.dashcount = DASHCOUNT; percept_sense_body.turncount = TURNCOUNT; percept_sense_body.saycount = SAYCOUNT; percept_sense_body.turnneckcount = TURNNECKCOUNT;

#endif /* __PARSERDEFS_H__ */

