;;;; top-layer.lsp
;;;;
;;;; Last update: 3/1/1999
;;;; @author Antonio Cisternino
;;;; @version -
;;;; 
;;;; Purpose: top layer to test players

(defconstant *start-x* -10)
(defconstant *start-y* -15)
(defconstant *start-dir* 0)
(defconstant *zone* '(4 0 4 3))
(defconstant *pass-empathy*
  #( 0 0.1 0.1 0.1 0.1 0.2 0.2 0.4 0.4 0.4 0.6 0.6 ))

(defun kick-off-handler (kb)
  (if (eq (second (referee kb)) 'my)
      `((sleep)
	(sleep)
	(sleep)
	(sleep)
	(sleep)
	(*while* (not (see-ball? ,kb)) ((turn 10) (sleep)))
	(*while* (not (can-kick? ,kb))
		 ((see-ball) (ndash 50 3)))
	(turn-ball 'R)
	(turn-ball 'R))
    '((sleep))))

