;;;; 
;;;; Last update: 9/1/1999
;;;; @author Antonio Cisternino
;;;; @version 0.1
;;;;
;;;; Purpose: Definition of various structures used
;;;;
;;;; Changes:
;;;;

;;; Postion of the player: is deduced from percept and from the
;;; sense-body perception (the neck angle)
(defstruct pos 
  x
  y
  dir
  head-angle
)

;;; Information about an object stored in the KB
(defstruct obj-info 
  time ; Time of the registration
  full
  x
  y
  dir
  v
)

;;; Information about the sense-body
(defstruct sense-body
  time ; time of the registration
  view-mode-qualty
  view-mode-width
  stamina
  effort
  speed
  kick-count
  dash-count
  turn-count
  say-count
  turn-neck-count
)
  

;;; History of player positions (for the moment is unnecessary)
(defstruct history-impl
  (free 0)
  (first 0)
  (v (simple vector *hst-sz*)))
